it.csi.mddtools.guigen

## Enum CommandFunctions

- java.lang.Object
- - java.lang.Enum<CommandFunctions>
  - - it.csi.mddtools.guigen.CommandFunctions

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CommandFunctions>, org.eclipse.emf.common.util.Enumerator

      public enum CommandFunctions
      extends java.lang.Enum<CommandFunctions>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Command Functions', and utility methods for working with them.
  See Also:
    `GuigenPackage.getCommandFunctions()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD_ITEM` The 'ADD ITEM' literal object
    `BACK` The 'BACK' literal object
    `CANCEL` The 'CANCEL' literal object
    `CONFIRM` The 'CONFIRM' literal object
    `DELETE_ITEM` The 'DELETE ITEM' literal object
    `DETAIL` The 'DETAIL' literal object
    `EDIT_ITEM` The 'EDIT ITEM' literal object
    `FIRST_ITEM` The 'FIRST ITEM' literal object
    `FORWARD` The 'FORWARD' literal object
    `LAST_ITEM` The 'LAST ITEM' literal object
    `LOAD` The 'LOAD' literal object
    `LOOKUP` The 'LOOKUP' literal object
    `NEXT_ITEM` The 'NEXT ITEM' literal object
    `PREVIOUS_ITEM` The 'PREVIOUS ITEM' literal object
    `SAVE` The 'SAVE' literal object
    `SEARCH` The 'SEARCH' literal object
    `SEND_MESSAGE` The 'SEND MESSAGE' literal object
    `SHOW_HELP` The 'SHOW HELP' literal object
    `SHOW_REPORT` The 'SHOW REPORT' literal object
    `UNSPECIFIED` The 'UNSPECIFIED' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADD_ITEM_VALUE` The 'ADD ITEM' literal value
    `static int` | `BACK_VALUE` The 'BACK' literal value
    `static int` | `CANCEL_VALUE` The 'CANCEL' literal value
    `static int` | `CONFIRM_VALUE` The 'CONFIRM' literal value
    `static int` | `DELETE_ITEM_VALUE` The 'DELETE ITEM' literal value
    `static int` | `DETAIL_VALUE` The 'DETAIL' literal value
    `static int` | `EDIT_ITEM_VALUE` The 'EDIT ITEM' literal value
    `static int` | `FIRST_ITEM_VALUE` The 'FIRST ITEM' literal value
    `static int` | `FORWARD_VALUE` The 'FORWARD' literal value
    `static int` | `LAST_ITEM_VALUE` The 'LAST ITEM' literal value
    `static int` | `LOAD_VALUE` The 'LOAD' literal value
    `static int` | `LOOKUP_VALUE` The 'LOOKUP' literal value
    `static int` | `NEXT_ITEM_VALUE` The 'NEXT ITEM' literal value
    `static int` | `PREVIOUS_ITEM_VALUE` The 'PREVIOUS ITEM' literal value
    `static int` | `SAVE_VALUE` The 'SAVE' literal value
    `static int` | `SEARCH_VALUE` The 'SEARCH' literal value
    `static int` | `SEND_MESSAGE_VALUE` The 'SEND MESSAGE' literal value
    `static int` | `SHOW_HELP_VALUE` The 'SHOW HELP' literal value
    `static int` | `SHOW_REPORT_VALUE` The 'SHOW REPORT' literal value
    `static int` | `UNSPECIFIED_VALUE` The 'UNSPECIFIED' literal value
    `static java.util.List<CommandFunctions>` | `VALUES` A public read-only list of all the 'Command Functions' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandFunctions` | `get(int value)` Returns the 'Command Functions' literal with the specified integer value
    `static CommandFunctions` | `get(java.lang.String literal)` Returns the 'Command Functions' literal with the specified literal value
    `static CommandFunctions` | `getByName(java.lang.String name)` Returns the 'Command Functions' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static CommandFunctions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CommandFunctions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final CommandFunctions UNSPECIFIED

      The 'UNSPECIFIED' literal object.
      See Also:
        `UNSPECIFIED_VALUE`

    - #### ADD_ITEM

          public static final CommandFunctions ADD_ITEM

      The 'ADD ITEM' literal object.
      See Also:
        `ADD_ITEM_VALUE`

    - #### EDIT_ITEM

          public static final CommandFunctions EDIT_ITEM

      The 'EDIT ITEM' literal object.
      See Also:
        `EDIT_ITEM_VALUE`

    - #### DELETE_ITEM

          public static final CommandFunctions DELETE_ITEM

      The 'DELETE ITEM' literal object.
      See Also:
        `DELETE_ITEM_VALUE`

    - #### SEARCH

          public static final CommandFunctions SEARCH

      The 'SEARCH' literal object.
      See Also:
        `SEARCH_VALUE`

    - #### SAVE

          public static final CommandFunctions SAVE

      The 'SAVE' literal object.
      See Also:
        `SAVE_VALUE`

    - #### LOAD

          public static final CommandFunctions LOAD

      The 'LOAD' literal object.
      See Also:
        `LOAD_VALUE`

    - #### DETAIL

          public static final CommandFunctions DETAIL

      The 'DETAIL' literal object.
      See Also:
        `DETAIL_VALUE`

    - #### LOOKUP

          public static final CommandFunctions LOOKUP

      The 'LOOKUP' literal object.
      See Also:
        `LOOKUP_VALUE`

    - #### NEXT_ITEM

          public static final CommandFunctions NEXT_ITEM

      The 'NEXT ITEM' literal object.
      See Also:
        `NEXT_ITEM_VALUE`

    - #### PREVIOUS_ITEM

          public static final CommandFunctions PREVIOUS_ITEM

      The 'PREVIOUS ITEM' literal object.
      See Also:
        `PREVIOUS_ITEM_VALUE`

    - #### FIRST_ITEM

          public static final CommandFunctions FIRST_ITEM

      The 'FIRST ITEM' literal object.
      See Also:
        `FIRST_ITEM_VALUE`

    - #### LAST_ITEM

          public static final CommandFunctions LAST_ITEM

      The 'LAST ITEM' literal object.
      See Also:
        `LAST_ITEM_VALUE`

    - #### CONFIRM

          public static final CommandFunctions CONFIRM

      The 'CONFIRM' literal object.
      See Also:
        `CONFIRM_VALUE`

    - #### CANCEL

          public static final CommandFunctions CANCEL

      The 'CANCEL' literal object.
      See Also:
        `CANCEL_VALUE`

    - #### FORWARD

          public static final CommandFunctions FORWARD

      The 'FORWARD' literal object.
      See Also:
        `FORWARD_VALUE`

    - #### BACK

          public static final CommandFunctions BACK

      The 'BACK' literal object.
      See Also:
        `BACK_VALUE`

    - #### SHOW_REPORT

          public static final CommandFunctions SHOW_REPORT

      The 'SHOW REPORT' literal object.
      See Also:
        `SHOW_REPORT_VALUE`

    - #### SHOW_HELP

          public static final CommandFunctions SHOW_HELP

      The 'SHOW HELP' literal object.
      See Also:
        `SHOW_HELP_VALUE`

    - #### SEND_MESSAGE

          public static final CommandFunctions SEND_MESSAGE

      The 'SEND MESSAGE' literal object.
      See Also:
        `SEND_MESSAGE_VALUE`

  - ### Field Detail

    - #### UNSPECIFIED_VALUE

          public static final int UNSPECIFIED_VALUE

      The 'UNSPECIFIED' literal value.

      If the meaning of 'UNSPECIFIED' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UNSPECIFIED`, Constant Field Values

    - #### ADD_ITEM_VALUE

          public static final int ADD_ITEM_VALUE

      The 'ADD ITEM' literal value.

      If the meaning of 'ADD ITEM' literal object isn't clear, there really should be more of a description here...

      See Also:
        `ADD_ITEM`, Constant Field Values

    - #### EDIT_ITEM_VALUE

          public static final int EDIT_ITEM_VALUE

      The 'EDIT ITEM' literal value.

      If the meaning of 'EDIT ITEM' literal object isn't clear, there really should be more of a description here...

      See Also:
        `EDIT_ITEM`, Constant Field Values

    - #### DELETE_ITEM_VALUE

          public static final int DELETE_ITEM_VALUE

      The 'DELETE ITEM' literal value.

      If the meaning of 'DELETE ITEM' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DELETE_ITEM`, Constant Field Values

    - #### SEARCH_VALUE

          public static final int SEARCH_VALUE

      The 'SEARCH' literal value.

      If the meaning of 'SEARCH' literal object isn't clear, there really should be more of a description here...

      See Also:
        `SEARCH`, Constant Field Values

    - #### SAVE_VALUE

          public static final int SAVE_VALUE

      The 'SAVE' literal value.

      If the meaning of 'SAVE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `SAVE`, Constant Field Values

    - #### LOAD_VALUE

          public static final int LOAD_VALUE

      The 'LOAD' literal value.

      If the meaning of 'LOAD' literal object isn't clear, there really should be more of a description here...

      See Also:
        `LOAD`, Constant Field Values

    - #### DETAIL_VALUE

          public static final int DETAIL_VALUE

      The 'DETAIL' literal value.

      If the meaning of 'DETAIL' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DETAIL`, Constant Field Values

    - #### LOOKUP_VALUE

          public static final int LOOKUP_VALUE

      The 'LOOKUP' literal value.

      If the meaning of 'LOOKUP' literal object isn't clear, there really should be more of a description here...

      See Also:
        `LOOKUP`, Constant Field Values

    - #### NEXT_ITEM_VALUE

          public static final int NEXT_ITEM_VALUE

      The 'NEXT ITEM' literal value.

      If the meaning of 'NEXT ITEM' literal object isn't clear, there really should be more of a description here...

      See Also:
        `NEXT_ITEM`, Constant Field Values

    - #### PREVIOUS_ITEM_VALUE

          public static final int PREVIOUS_ITEM_VALUE

      The 'PREVIOUS ITEM' literal value.

      If the meaning of 'PREVIOUS ITEM' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PREVIOUS_ITEM`, Constant Field Values

    - #### FIRST_ITEM_VALUE

          public static final int FIRST_ITEM_VALUE

      The 'FIRST ITEM' literal value.

      If the meaning of 'FIRST ITEM' literal object isn't clear, there really should be more of a description here...

      See Also:
        `FIRST_ITEM`, Constant Field Values

    - #### LAST_ITEM_VALUE

          public static final int LAST_ITEM_VALUE

      The 'LAST ITEM' literal value.

      If the meaning of 'LAST ITEM' literal object isn't clear, there really should be more of a description here...

      See Also:
        `LAST_ITEM`, Constant Field Values

    - #### CONFIRM_VALUE

          public static final int CONFIRM_VALUE

      The 'CONFIRM' literal value.

      If the meaning of 'CONFIRM' literal object isn't clear, there really should be more of a description here...

      See Also:
        `CONFIRM`, Constant Field Values

    - #### CANCEL_VALUE

          public static final int CANCEL_VALUE

      The 'CANCEL' literal value.

      If the meaning of 'CANCEL' literal object isn't clear, there really should be more of a description here...

      See Also:
        `CANCEL`, Constant Field Values

    - #### FORWARD_VALUE

          public static final int FORWARD_VALUE

      The 'FORWARD' literal value.

      If the meaning of 'FORWARD' literal object isn't clear, there really should be more of a description here...

      See Also:
        `FORWARD`, Constant Field Values

    - #### BACK_VALUE

          public static final int BACK_VALUE

      The 'BACK' literal value.

      If the meaning of 'BACK' literal object isn't clear, there really should be more of a description here...

      See Also:
        `BACK`, Constant Field Values

    - #### SHOW_REPORT_VALUE

          public static final int SHOW_REPORT_VALUE

      The 'SHOW REPORT' literal value.

      If the meaning of 'SHOW REPORT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `SHOW_REPORT`, Constant Field Values

    - #### SHOW_HELP_VALUE

          public static final int SHOW_HELP_VALUE

      The 'SHOW HELP' literal value.

      If the meaning of 'SHOW HELP' literal object isn't clear, there really should be more of a description here...

      See Also:
        `SHOW_HELP`, Constant Field Values

    - #### SEND_MESSAGE_VALUE

          public static final int SEND_MESSAGE_VALUE

      The 'SEND MESSAGE' literal value.

      If the meaning of 'SEND MESSAGE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `SEND_MESSAGE`, Constant Field Values

    - #### VALUES

          public static final java.util.List<CommandFunctions> VALUES

      A public read-only list of all the 'Command Functions' enumerators.

  - ### Method Detail

    - #### values

          public static CommandFunctions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommandFunctions c : CommandFunctions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommandFunctions valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static CommandFunctions get(java.lang.String literal)

      Returns the 'Command Functions' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static CommandFunctions getByName(java.lang.String name)

      Returns the 'Command Functions' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static CommandFunctions get(int value)

      Returns the 'Command Functions' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<CommandFunctions>`